GSCPCIB(4)

NAME
gscpcib - National Semiconductor Geode SC1100 PCI-ISA bridge with GPIO

SYNOPSIS
gscpcib* at pci?
isa* at gscpcib?
gpio* at gscpcib?

DESCRIPTION
The gscpcib driver provides support for the National Semiconductor Geode SC1100 System-on-Chip PCI-ISA bridge. This device is a PCI-ISA bridge, but with some additional sub-devices. Besides the core pcib(4) functionality, the gscpcib driver provides support for the GPIO interface of this device.

The device has 64 I/O pins which can be accessed through the gpio(4) framework. The gpioctl(8) program provides a convenient way to manipulate these pins from userland.

SEE ALSO
gpio(4), i386/intro(4), isa(4), pci(4), pcib(4), gpioctl(8)

HISTORY
The gscpcib driver first appeared in OpenBSD 3.6 and NetBSD 4.0.

AUTHORS
-nosplit The gscpcib driver was written by Alexander Yurchenko <grange@openbsd.org> and was ported to NetBSD by Jared D. McNeill <jmcneill@NetBSD.org>.